Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.javaee6
Class EnvEntryTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.javaee6.EnvEntryTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, EnvEntryType<T>

    public class EnvEntryTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, EnvEntryType<T>

This class implements the `env-entryType` xsd type

Original Documentation:

The env-entryType is used to declare an application's
environment entry. The declaration consists of an optional
description, the name of the environment entry, a type
(optional if the value is injected, otherwise required), and
an optional value.
It also includes optional elements to define injection of
the named resource into fields or JavaBeans properties.
If a value is not specified and injection is requested,
no injection will occur and no entry of the specified name
will be created. This allows an initial value to be
specified in the source code without being incorrectly
changed when no override has been specified.
If a value is not specified and no injection is requested,
a value must be supplied during deployment.
This type is used by env-entry elements.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`EnvEntryTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`EnvEntryTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.lang.String` | `getEnvEntryName()` Returns the `env-entry-name` element
`java.lang.String` | `getEnvEntryType()` Returns the `env-entry-type` element
`java.lang.String` | `getEnvEntryValue()` Returns the `env-entry-value` element
`java.util.List<InjectionTargetType<EnvEntryType<T>>>` | `getInjectionTargetList()` Returns all `injection-target` elements
`java.lang.String` | `getLookupName()` Returns the `lookup-name` element
`java.lang.String` | `getMappedName()` Returns the `mapped-name` element
`InjectionTargetType<EnvEntryType<T>>` | `injectionTarget()` Returns the `injection-target` element
`EnvEntryType<T>` | `removeAllDescription()` Removes the `description` element
`EnvEntryType<T>` | `removeAllInjectionTarget()` Removes all `injection-target` elements
`EnvEntryType<T>` | `removeEnvEntryName()` Removes the `env-entry-name` element
`EnvEntryType<T>` | `removeEnvEntryType()` Removes the `env-entry-type` element
`EnvEntryType<T>` | `removeEnvEntryValue()` Removes the `env-entry-value` element
`EnvEntryType<T>` | `removeLookupName()` Removes the `lookup-name` element
`EnvEntryType<T>` | `removeMappedName()` Removes the `mapped-name` element
`EnvEntryType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`EnvEntryType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`EnvEntryType<T>` | `setEnvEntryName(java.lang.String envEntryName)` If not already created, a new `env-entry-name` element with the given value will be created.
`EnvEntryType<T>` | `setEnvEntryType(java.lang.String envEntryType)` If not already created, a new `env-entry-type` element with the given value will be created.
`EnvEntryType<T>` | `setEnvEntryValue(java.lang.String envEntryValue)` If not already created, a new `env-entry-value` element with the given value will be created.
`EnvEntryType<T>` | `setLookupName(java.lang.String lookupName)` If not already created, a new `lookup-name` element with the given value will be created.
`EnvEntryType<T>` | `setMappedName(java.lang.String mappedName)` If not already created, a new `mapped-name` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnvEntryTypeImpl

    public EnvEntryTypeImpl(T t,
                            java.lang.String nodeName,
                            org.jboss.shrinkwrap.descriptor.spi.Node node)

### EnvEntryTypeImpl

    public EnvEntryTypeImpl(T t,
                            java.lang.String nodeName,
                            org.jboss.shrinkwrap.descriptor.spi.Node node,
                            org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setLookupName

    public EnvEntryType<T> setLookupName(java.lang.String lookupName)

  If not already created, a new `lookup-name` element with the given value will be created. Otherwise, the existing `lookup-name` element will be updated with the given value.

  Specified by:
    `setLookupName` in interface `EnvEntryType<T>`
  Returns:
    the current instance of `EnvEntryType`

### removeLookupName

    public EnvEntryType<T> removeLookupName()

  Removes the `lookup-name` element

  Specified by:
    `removeLookupName` in interface `EnvEntryType<T>`
  Returns:
    the current instance of `EnvEntryType`

### getLookupName

    public java.lang.String getLookupName()

  Returns the `lookup-name` element

  Specified by:
    `getLookupName` in interface `EnvEntryType<T>`
  Returns:
    the node defined for the element `lookup-name`

### setMappedName

    public EnvEntryType<T> setMappedName(java.lang.String mappedName)

  If not already created, a new `mapped-name` element with the given value will be created. Otherwise, the existing `mapped-name` element will be updated with the given value.

  Specified by:
    `setMappedName` in interface `EnvEntryType<T>`
  Returns:
    the current instance of `EnvEntryType`

### removeMappedName

    public EnvEntryType<T> removeMappedName()

  Removes the `mapped-name` element

  Specified by:
    `removeMappedName` in interface `EnvEntryType<T>`
  Returns:
    the current instance of `EnvEntryType`

### getMappedName

    public java.lang.String getMappedName()

  Returns the `mapped-name` element

  Specified by:
    `getMappedName` in interface `EnvEntryType<T>`
  Returns:
    the node defined for the element `mapped-name`

### removeAllInjectionTarget

    public EnvEntryType<T> removeAllInjectionTarget()

  Removes all `injection-target` elements

  Specified by:
    `removeAllInjectionTarget` in interface `EnvEntryType<T>`
  Returns:
    the current instance of `EnvEntryType`

### injectionTarget

    public InjectionTargetType<EnvEntryType<T>> injectionTarget()

  Returns the `injection-target` element

  Specified by:
    `injectionTarget` in interface `EnvEntryType<T>`
  Returns:
    the node defined for the element `injection-target`

### getInjectionTargetList

    public java.util.List<InjectionTargetType<EnvEntryType<T>>> getInjectionTargetList()

  Returns all `injection-target` elements

  Specified by:
    `getInjectionTargetList` in interface `EnvEntryType<T>`
  Returns:
    list of `injection-target`

### setDescription

    public EnvEntryType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `EnvEntryType<T>`
  Returns:
    the current instance of `EnvEntryType`

### setDescriptionList

    public EnvEntryType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `EnvEntryType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `EnvEntryType`

### removeAllDescription

    public EnvEntryType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `EnvEntryType<T>`
  Returns:
    the current instance of `EnvEntryType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `EnvEntryType<T>`
  Returns:
    list of `description`

### setEnvEntryName

    public EnvEntryType<T> setEnvEntryName(java.lang.String envEntryName)

  If not already created, a new `env-entry-name` element with the given value will be created. Otherwise, the existing `env-entry-name` element will be updated with the given value.

  Specified by:
    `setEnvEntryName` in interface `EnvEntryType<T>`
  Returns:
    the current instance of `EnvEntryType`

### removeEnvEntryName

    public EnvEntryType<T> removeEnvEntryName()

  Removes the `env-entry-name` element

  Specified by:
    `removeEnvEntryName` in interface `EnvEntryType<T>`
  Returns:
    the current instance of `EnvEntryType`

### getEnvEntryName

    public java.lang.String getEnvEntryName()

  Returns the `env-entry-name` element

  Specified by:
    `getEnvEntryName` in interface `EnvEntryType<T>`
  Returns:
    the node defined for the element `env-entry-name`

### setEnvEntryType

    public EnvEntryType<T> setEnvEntryType(java.lang.String envEntryType)

  If not already created, a new `env-entry-type` element with the given value will be created. Otherwise, the existing `env-entry-type` element will be updated with the given value.

  Specified by:
    `setEnvEntryType` in interface `EnvEntryType<T>`
  Returns:
    the current instance of `EnvEntryType`

### removeEnvEntryType

    public EnvEntryType<T> removeEnvEntryType()

  Removes the `env-entry-type` element

  Specified by:
    `removeEnvEntryType` in interface `EnvEntryType<T>`
  Returns:
    the current instance of `EnvEntryType`

### getEnvEntryType

    public java.lang.String getEnvEntryType()

  Returns the `env-entry-type` element

  Specified by:
    `getEnvEntryType` in interface `EnvEntryType<T>`
  Returns:
    the node defined for the element `env-entry-type`

### setEnvEntryValue

    public EnvEntryType<T> setEnvEntryValue(java.lang.String envEntryValue)

  If not already created, a new `env-entry-value` element with the given value will be created. Otherwise, the existing `env-entry-value` element will be updated with the given value.

  Specified by:
    `setEnvEntryValue` in interface `EnvEntryType<T>`
  Returns:
    the current instance of `EnvEntryType`

### removeEnvEntryValue

    public EnvEntryType<T> removeEnvEntryValue()

  Removes the `env-entry-value` element

  Specified by:
    `removeEnvEntryValue` in interface `EnvEntryType<T>`
  Returns:
    the current instance of `EnvEntryType`

### getEnvEntryValue

    public java.lang.String getEnvEntryValue()

  Returns the `env-entry-value` element

  Specified by:
    `getEnvEntryValue` in interface `EnvEntryType<T>`
  Returns:
    the node defined for the element `env-entry-value`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD